//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("Aretha2Text.res");
USEFORM("A2_Main.cpp", myForm);
USEUNIT("Globals.cpp");
USEUNIT("DOS5x5.cpp");
USEUNIT("Menu.CPP");
USEFORM("TextEdit.cpp", TxtForm);
USEFORM("HexData.cpp", HexForm);
USEFORM("DecompBlock.cpp", decmpForm);
USEFORM("..\Aretha2Text\ListBlock.cpp", cmForm);
USEFORM("..\Aretha2Text\KanaString.cpp", KanaForm);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
    Application->Initialize();
    Application->Title = "\"Aretha II\" Script Editor";
    Application->CreateForm(__classid(TmyForm), &myForm);
   Application->CreateForm(__classid(TTxtForm), &TxtForm);
   Application->CreateForm(__classid(THexForm), &HexForm);
   Application->CreateForm(__classid(TdecmpForm), &decmpForm);
   Application->CreateForm(__classid(TcmForm), &cmForm);
   Application->CreateForm(__classid(TKanaForm), &KanaForm);
   Application->Run();
  }
  catch (Exception &exception)
  {
    Application->ShowException(&exception);
  }
  
  return 0;
}
//---------------------------------------------------------------------------
